diff --git a/do.bash b/do.bash
index 56b3edf6ad1cd55b090095a79240f43482a84261..e2eae8e23c3991bb72411d5d105a77a06e88a7dc 100755
--- a/do.bash
+++ b/do.bash
@@ -151,7 +151,7 @@ function do_test () {
             ;;
         home-http )
             # NO icmp required.
-            curl -s http://home.rtmp.asia:81/ || return $?
+            curl -L https://recolic.net/hms.php | grep betterlisting || return $?
             ;;
         * )
             echo PROGRAMMING ERROR: NO TARGET "$1" available.